//
//  LabelAttributeStrikeThroughModel.swift
//  MVMCoreUI
//
//  Created by Ryan on 11/21/19.
//  Copyright © 2019 Verizon Wireless. All rights reserved.
//


@objcMembers public class LabelAttributeStrikeThroughModel: LabelAttributeModel {
    //--------------------------------------------------
    // MARK: - Properties
    //--------------------------------------------------
    
    override public class var identifier: String { "strikethrough" }
    
    //--------------------------------------------------
    // MARK: - Initializer
    //--------------------------------------------------
    
    required public init(from decoder: Decoder) throws {
        try super.init(from: decoder)
    }
    
    //--------------------------------------------------
    // MARK: - Codec
    //--------------------------------------------------
    
    public override func encode(to encoder: Encoder) throws {
        try super.encode(to: encoder)
    }
    
    public override init(_ location: Int, _ length: Int) {
        super.init(location, length)
    }
}
